package hatelace.instructions;

import hatelace.*;

public class Halt extends Instruction {
    public Halt(){};

    public void execute(Memory memory, ProgramCounter PC) {
        PC.halt();
    }

    public String toString() {
        return "HALT";
    }

    protected String opcode() {
        return "halt";
    }

    protected Object[] operands() {
        return new Object[] {};
    }
}
